Skip to contents

Get a Single Ontology by ID

Usage

brapi_ontology(con, ontologyDbId)

Arguments

con

A brapi_connection() object.

ontologyDbId

Character. The unique ontology identifier.

Value

A single-row tibble with ontology details.

BrAPI endpoint

GET /ontologies/{ontologyDbId} - see the v2.1 specification.

See also

Examples

# \donttest{
con <- brapi_connection("https://test-server.brapi.org")
brapi_ontology(con, "O_001")
#> # A tibble: 1 × 10
#>   additionalInfo   externalReferences authors copyright      description 
#>   <list>           <lgl>              <chr>   <chr>          <chr>       
#> 1 <named list [1]> NA                 Bob     2017 brapi.org Ontology.org
#> # ℹ 5 more variables: documentationURL <chr>, licence <chr>,
#> #   ontologyName <chr>, version <chr>, ontologyDbId <chr>
# }